1. Reference
Fotor OpenAPI
  • Getting Started
    • Introduction
    • Access and Authentication
    • For Serverless Clients
    • Token Consumption
  • Reference
    • Get User Token Balance
      GET
    • Query Task Details
      GET
    • AI Upscaler API
      POST
    • AI Skin Retouch API
      POST
    • Image Generation API
      POST
    • Text to Image API
      POST
    • Image to Image (AI Art Effects) API
      POST
    • Background Remover API
      POST
    • AI Headshot API
      POST
    • Photo Colorize API
      POST
    • Photo Restoration API
      POST
    • AI Replace API
      POST
    • AI Expand API
      POST
    • AI Baby Generator API
      POST
  • Webhook
    • Webhook
  • AI Editor SDK
    • Getting Started
    • Get Sdk Temporary Token
      GET
  1. Reference

AI Headshot API

POST
/v1/aiart/avatar
Using advanced artificial intelligence technology, our AI Headshot Generator transforms your photo into a high-quality, personalized headshot. The AI intelligently recognizes your facial features and generates headshots in various styles based on your selection, including business, fashion, cartoon, and more. Whether you need a social media profile picture, resume photo, or any other personal image, our AI Headshot can meet your needs.

AI Headshot Styles#

AI Headshot Styles

Request

Header Params

Body Params application/json

Example
{
    "userImageUrl": "https://pub-static.fotor.com/assets/goart-effects/examples/mini-figure-after.jpg",
    "avatarTemplateParams": [
        {
            "templateId": "ca39d44f-e8c8-4a3e-9d09-c3f96cb2fe60",
            "num": 1
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-b.fotor.com/v1/aiart/avatar' \
--header 'Authorization: Bearer <your api key>' \
--header 'Content-Type: application/json' \
--data '{
    "userImageUrl": "https://pub-static.fotor.com/assets/goart-effects/examples/mini-figure-after.jpg",
    "avatarTemplateParams": [
        {
            "templateId": "ca39d44f-e8c8-4a3e-9d09-c3f96cb2fe60",
            "num": 1
        }
    ]
}'

Responses

🟢200success
application/json
Bodyapplication/json

Example
{
    "code": "000",
    "msg": "success",
    "data": {
        "taskId": "e0dc194703174b6eafeacb4ee8e02850"
    }
}
Modified at 2026-09-21 11:44:05
Previous
Background Remover API
Next
Photo Colorize API
Built with